com.icesoft.faces.component.gmap

## Class GMap

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - com.icesoft.faces.component.gmap.GMap

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class GMap
      extends javax.faces.component.UIPanel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIPanel

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GMap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext facesContext)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getAddress()`
    `java.lang.String` | `getComponentType()`
    `java.lang.String` | `getLatitude()`
    `java.lang.String` | `getLongitude()`
    `java.lang.String` | `getMapTdStyleClass()`
    `java.lang.String` | `getRenderedOnUserRole()` Return the value of the `renderedOnUserRole` property.
    `java.lang.String` | `getRendererType()`
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTxtTdStyleClass()`
    `java.lang.String` | `getType()`
    `int` | `getZoomLevel()`
    `boolean` | `isLocateAddress()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setLatitude(java.lang.String latitude)`
    `void` | `setLocateAddress(boolean locateAddress)`
    `void` | `setLongitude(java.lang.String longitude)`
    `void` | `setRenderedOnUserRole(java.lang.String renderedOnUserRole)` Set the value of the `renderedOnUserRole` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setType(java.lang.String type)`
    `void` | `setZoomLevel(int zoomLevel)`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GMap

          public GMap()

  - ### Method Detail

    - #### getRendererType

          public java.lang.String getRendererType()

      Overrides:
        `getRendererType` in class `javax.faces.component.UIComponentBase`

    - #### getComponentType

          public java.lang.String getComponentType()

    - #### getLongitude

          public java.lang.String getLongitude()

    - #### getLatitude

          public java.lang.String getLatitude()

    - #### setLongitude

          public void setLongitude(java.lang.String longitude)

    - #### setLatitude

          public void setLatitude(java.lang.String latitude)

    - #### decode

          public void decode(javax.faces.context.FacesContext facesContext)

      Overrides:
        `decode` in class `javax.faces.component.UIComponentBase`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### getZoomLevel

          public int getZoomLevel()

    - #### setZoomLevel

          public void setZoomLevel(int zoomLevel)

    - #### isLocateAddress

          public boolean isLocateAddress()

    - #### setLocateAddress

          public void setLocateAddress(boolean locateAddress)

    - #### getAddress

          public java.lang.String getAddress()

    - #### setAddress

          public void setAddress(java.lang.String address)

    - #### getType

          public java.lang.String getType()

    - #### setType

          public void setType(java.lang.String type)

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String renderedOnUserRole)

      Set the value of the `renderedOnUserRole` property.

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

      Return the value of the `renderedOnUserRole` property.

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

    - #### getMapTdStyleClass

          public java.lang.String getMapTdStyleClass()

    - #### getTxtTdStyleClass

          public java.lang.String getTxtTdStyleClass()

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.